Page MenuHomePhabricator

Can't disable the global block locally and a strange behavior of the special page
Closed, ResolvedPublic

Description

IP 37.219.0.0/16 is globally blocked, but why I can't disable the global block of 37.219.0.0/16 locally on the Finnish Wikipedia? It says "You made no change to the local status of this block" if I select the "Disable this global block on Wikipedia" at Special:GlobalBlockWhitelist. When I take off the selection of "Disable this global block on Wikipedia" it doesn't give any errors but then https://fi.wikipedia.org/wiki/Toiminnot:Loki/gblblock shows the block is "re-enabled". I tried it with the same settings again, and now it's twice "re-enabled".

Seems like there was similar problem in ruwiki: https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%96%D1%83%D1%80%D0%BD%D0%B0%D0%BB%D1%8B/gblblock

Related Objects

Event Timeline

Stryn created this task.Oct 19 2016, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2016, 6:33 PM
Stryn updated the task description. (Show Details)Oct 19 2016, 6:46 PM

37.219.0.0/16 is no longer globally blocked.

Stryn added a comment.Apr 15 2017, 1:03 PM

But the bug still exists, just tested again.

Rxy added a subscriber: Rxy.Aug 8 2017, 12:43 PM
Tegel added a subscriber: Tegel.Sep 16 2017, 2:11 PM

Change 378555 had a related patch set uploaded (by Melos; owner: Melos):
[mediawiki/extensions/GlobalBlocking@master] Fix issues when an ip was already added into GlobalBlockWhitelist

https://gerrit.wikimedia.org/r/378555

Vituzzu triaged this task as Unbreak Now! priority.Sep 17 2017, 8:23 PM

Change 378555 merged by jenkins-bot:
[mediawiki/extensions/GlobalBlocking@master] Fix issues when an IP was already added into GlobalBlockWhitelist

https://gerrit.wikimedia.org/r/378555

greg lowered the priority of this task from Unbreak Now! to High.Sep 25 2017, 11:30 PM
greg added a subscriber: greg.

Setting to High, this has been an issue for over a year.

If the release date is correct, the patch should go live on production wikis today.

Stryn closed this task as Resolved.Sep 28 2017, 7:46 PM
Stryn claimed this task.

Seems to work now, so closed.